wwwoffled(8)

NAME
wwwoffled - A proxy server for the World Wide Web Offline Explorer.

SYNOPSIS
wwwoffled [-h|--help] [--version] [-c <config-file>] [-d [<log-level>]] [-l <log-file>] [-f] [-p]

DESCRIPTION
wwwoffled is a proxy HTTP server for the World Wide Web Offline Explorer program. Using a standard web browser with the HTTP proxy set to the wwwoffled server, web pages can be requested while not connected to the internet.

When the computer is connected to the internet, the server will fetch the web pages requested by the browser and also store them in the cache. When the computer is not connected, browsing of the pages in the cache is still possible, and links can be followed. This causes the request for the page to be stored by the proxy server until a later time when the computer is connected and the pages are fetched non-interactively.

Pages that are requested from a server on the same host (localhost) are not cached, and are always fetched fresh from the server.

There is a welcome page at the URL http://localhost:8080/ that contains some information about the program and links to the cache index, interactive refresh page, interactive control page and WWWOFFLE internet home page.

The pages that are stored in the cache can be indexed by using the URL http://localhost:8080/index/ to get a list of the hosts that have cached pages. The index allows sorting of the pages into time or alphabetical order, by following links from this page. There is also indexes available showing the pages that have been modified in the last week, those fetched last time online and those requests that are waiting to be fetched next time online.

The functions available from the wwwoffle(1) program for fetching URLs are also available in the interactive refresh page at http://localhost:8080/refresh/.

The functions available from the wwwoffle(1) program for controlling the wwwoffled program are also available in the interactive control page at http://localhost:8080/control/.

OPTIONS

-h | --help
    A help message is printed giving a brief description of the usage of the program.

--version
    The version number of the program is printed.

-c <config-file>
    The configuration for the program is stored in a configuration file wwwoffle.conf(5). This argument specifies to the program the name of that file. Sending a HUP signal to the daemon will cause this config file to be re-read.

-d [<log-level>]
    Do not detach from the terminal when starting and report error messages on standard error. The log-level is a number from 0 (for no output on stderr) to 6 (for full debugging output on stderr). If this is not specified then the log-level in the config file is used.

-l <log-file>
    Detach from the terminal but write to a log file what would have been written to stderr if the -d option had been used. Defaults to using a log level of 4, but using the -d option can change this (but it will still detach). Sending a HUP signal to the daemon will cause this log file to be closed and re-opened.

-f  Start the daemon in debugging mode (implies -d and overrides -l) and when the first HTTP request comes in handle it without creating a child process and then exit.

-p  Print the pid of the daemon process on stdout. This option is ignored if the -d or -f options are used.

FILES
/etc/wwwoffle/wwwoffle.conf The wwwoffle.conf(5) configuration file.

SEE ALSO
wwwoffle(1), wwwoffle.conf(5)

AUTHOR
Andrew M. Bishop 1996-2013.